package com.sunyard.chsm.model.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author liulu
 * @since 2024/10/22
 */
@Data
@TableName("sp_key_template")
public class KeyTemplate {

    private Long id;
    private String code;
    private String name;
    private String keyType;
    private String keyAlg;
    private Integer keyLength;
    private Integer keyUsage;
    private String checkAlg;
    private Integer validTime;
    private String validUnit;
    private Integer startAfterCreateTime;
    private String startAfterCreateUnit;

    private String remark;
    private LocalDateTime createTime;
    private LocalDateTime updateTime;


}
