package com.sunyard.ssp.modules.monitor.transaction.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

@Data
@ApiModel(value="", description="统计参数")
public class StatisticalParam {

    @ApiModelProperty(value = "统计方式（lineChartTimeInterval-不带对称秘钥 lineChartKeyGroup-带对称秘钥）(必传)")
    private String statisticalMethod;

    @ApiModelProperty(value = "服务名")
    private String server;

    @ApiModelProperty(value = "渠道Id")
    private String channelId;

    @ApiModelProperty(value = "方案Id")
    private String solutionNumber;

    @ApiModelProperty(value = "秘钥类型")
    private String group;

    @ApiModelProperty(value = "统计时间")
    private String inputStatisticalTime;

    private LocalDate sqlStatisticalTime;

    @ApiModelProperty(value = "统计时间方式（月-month 周-weak 日-day）（必传）")
    private String timeInterval;

    private String timeIntervalFormat;

    private String sqlStatisticalTimeFormat;

}
